#include <Python.h>

class Complex
{
	private:
		double real;
		double imag;

	public:
		Complex();
		Complex(double r, double i);
		double getReal() { return this->real; }
		double getImag() { return this->imag; }
		void setReal(double r) { this->real = r; }
		void setImag(double i) { this->imag = i; }
		Complex(Complex& c);
		Complex(Py_complex* c);		//warning! this will alter the Py_complex struct it was created from!
		Complex operator+(Complex& rhs);
		Complex operator*(Complex& rhs);
		double getMag();
		Py_complex* toOld();
};
